#ifndef _BusyDate_h_
#define _BusyDate_h_

// BusyDate
//
// Keeps a date and an array of PStates that are active in that date.

// 19980228 BS  creation

#include <Foundation/Foundation.h>
#include "../General.bproj/Protocols.h"

@interface BusyDate : NSObject
{
    NSDate *time;
    NSMutableArray *objects;
}

+ (BusyDate *)dateWithDate:(NSDate *)date objects:(NSArray *)objs;
- (id)initWithDate:(NSDate *)date objects:(NSArray *)objs;
- (void)dealloc;

- (NSDate *)time;
- (void)addObject:(id)obj;
- (NSArray *)allObjects;

- (NSString *)description;
@end

#endif
