#ifndef _COMPARING_H_
#define _COMPARING_H_

/* Comparing.h created by benhur on Thu 21-Aug-1997 */

#include <AppKit/AppKit.h>

@protocol Comparing
- (NSComparisonResult)compare:other;
@end

@interface NSNumber(Comparing)
- (BOOL) isDifferent:(id) obj;
- (BOOL) isGreaterThan:(id) obj;
- (BOOL) isLessThan:(id) obj;
- (BOOL) isGreaterOrEqual:(id) obj;
- (BOOL) isLessOrEqual:(id) obj;
@end

#endif                          // Comparing.h created by benhur on Thu 21-Aug-1997 */
