#ifndef _FilteredEnumerator_h_
#define _FilteredEnumerator_h_

/* FilteredEnumerator.h created by benhur on Sat 14-Jun-1997 */

#include <Foundation/Foundation.h>

@interface FilteredEnumerator : NSEnumerator
{
    NSEnumerator *originalEnumerator;
    NSSet *filter;
    SEL selector;
}
+ (FilteredEnumerator *)enumeratorWithEnumerator:(NSEnumerator *)orgEnum
                                          filter:(NSSet *)names;
+ (FilteredEnumerator *)enumeratorWithEnumerator:(NSEnumerator *)orgEnum
                                          filter:(NSSet *)names
                                        selector:(SEL)sel;
- (id)initWithEnumerator:(NSEnumerator *)orgEnum
                  filter:(NSSet *)names;
- (id)initWithEnumerator:(NSEnumerator *)orgEnum
                  filter:(NSSet *)names
                selector:(SEL)sel;
- (void)dealloc;
- (id)nextObject;

@end

#endif
