#ifndef _FoundationAdditions_h_
#define _FoundationAdditions_h_

//
// FoundationAdditions.h
//
// Some methods that are not declared or that are added as categories
// to some foundation classes.
//

#include <Foundation/Foundation.h>

#include "NSObject+Additions.h"
#include "NSString+Additions.h"
#include "NSMatrix+Additions.h"
#include "NSDate+Additions.h"

@interface NSBundle (UndeclaredMethods)
// this method is defined in Openstep/Rhapsody, it exists in OS4.1, but
// is not declared
- (void)load;
@end

#endif
