#ifndef _MiscTree_Additions_h_
#define _MiscTree_Additions_h_

#include "MiscTree.h"
#include "PajeType.h"

@interface MiscTree(PajeAdditions)
- (PajeEntityType *)entityType;
- (void)setEntityType:(PajeEntityType *)entityType;
- (MiscTree *)subtreeWithEntityType:(PajeEntityType *)entityType;
- (NSString *)descriptionWithLocale:(NSDictionary *)locale
                             indent:(unsigned int)level;
// it doesn't copy the userInfo in the original MiscKit!
- (id)copyWithZone:(NSZone *)zone;
@end

#endif
