#ifndef _MultiEnumerator_h_
#define _MultiEnumerator_h_

//
// MultiEnumerator
//
// an enumerator that enumerates the objects of many enumerators, serially
//

#include <Foundation/Foundation.h>

@interface MultiEnumerator : NSEnumerator
{
    NSMutableArray *origEnums;
}

+ (MultiEnumerator *)enumeratorWithEnumeratorArray:(NSArray *)array;
+ (MultiEnumerator *)enumerator;
- (id)initWithEnumeratorArray:(NSArray *)array;

- (void)addEnumerator:(NSEnumerator *)enumerator;
- (id)nextObject;
@end

#endif
