#ifndef _NSUserDefaults_Colors_h_
#define _NSUserDefaults_Colors_h_

#include <AppKit/AppKit.h>

@interface NSUserDefaults (Colors)
- (void)setColor:(NSColor *)color forKey:(NSString *)key;
- (NSColor *)colorForKey:(NSString *)key;
- (void)setColorDictionary:(NSDictionary *)dict forKey:(NSString *)key;
- (NSDictionary *)colorDictionaryForKey:(NSString *)key;
- (void)setRect:(NSRect)rect forKey:(NSString *)key;
- (NSRect)rectForKey:(NSString *)key;
@end

@interface NSUserDefaults (ArchivedObjects)
- (void)setArchivedObject:(id)anObject forKey:(NSString *)aKey;
- (id)unarchiveObjectForKey:(NSString *)aKey;
@end

#endif
