#ifndef _PajeContainer_h_
#define _PajeContainer_h_

//
// PajeContainer
//
// superclass for containers
//

#include <Foundation/Foundation.h>
#include "PajeEntity.h"

@interface PajeContainer : PajeEntity
{
    NSMutableArray *subContainers;
}

+ (PajeContainer *)containerWithType:(id)type
                                name:(NSString *)n
                           container:(PajeContainer *)newcontainer;

- (void)addSubContainer:(PajeContainer *)subcontainer;
- (BOOL)isContainer;

- (PajeContainerType *)entityType;

- (NSString *)alias;
@end

#endif
