#ifndef _PajeEvent_h_
#define _PajeEvent_h_

/* PajeEvent.h
 *
 *
 * 20021112 BS creation (from A0Event)
 */

#include <Foundation/Foundation.h>
#include <AppKit/AppKit.h>

#include "../General.bproj/Protocols.h"

/*
@interface PajeEvent : NSObject <NSCoding>
{
    NSMutableDictionary *fieldDict;
}
*/

#define PajeEvent NSMutableDictionary
@interface NSMutableDictionary (xPajeEvent)
- (NSString *)pajeEventName;
- (NSDate *)time;

+ (id)eventWithObjects:(NSArray *)objects forKeys:(NSArray *)keys;
#if 0
- (id)initWithObjects:(NSArray *)objects forKeys:(NSArray *)keys;

- (id)objectForKey:(id)aKey;
- (NSEnumerator *)keyEnumerator;
- (NSArray *)allKeys;
- (void)setObject:(id)anObject forKey:(id)aKey;
- (void)removeObjectForKey:(id)theKey;
#endif

- (NSArray *)fieldNames;
- (id)valueOfFieldNamed:(NSString *)fieldName;

#if 0
// NSCoding Protocol
- (void)encodeWithCoder:(NSCoder *)coder;
- (id)initWithCoder:(NSCoder *)coder;
#endif
@end

#endif
