#ifndef _EntityTypeInspector_h_
#define _EntityTypeInspector_h_

#include <AppKit/AppKit.h>

@interface EntityTypeInspector : NSObject
{
    IBOutlet NSPopUpButton *entityTypePopUp;
    IBOutlet NSMatrix *shapeMatrix;
    IBOutlet NSMatrix *drawMatrix;
    IBOutlet NSMatrix *highlightMatrix;
    IBOutlet NSFormCell *separationField;
    IBOutlet NSFormCell *heightField;
    IBOutlet NSFormCell *widthField;
    IBOutlet NSFormCell *displacementField;
    id delegate;
}
- (IBAction)entityTypeSelected:(id)sender;
- (IBAction)shapeSelected:(id)sender;
- (IBAction)drawFunctionSelected:(id)sender;
- (IBAction)highlightFunctionSelected:(id)sender;
- (IBAction)sizeChanged:(id)sender;

- (id)initWithDelegate:(id)del;
- (void)setupPopUpWithEntityDescriptors:(NSSet *)set;
- (void)setupShapeMatrix;
- (void)setupDrawMatrixes;
//- (void)drawShape:(MyCustomImageRep *)image;
//- (void)drawDraw:(MyCustomImageRep *)image;
@end

#endif
