#ifndef _NSString_Additions_h_
#define _NSString_Additions_h_

#include <Foundation/NSString.h>

@interface NSString (Additions)
+ (NSString *)stringWithCharacter:(unichar)c;
- (NSRange)rangeForLineNumber:(unsigned)lineNumber;
- (unsigned)lineNumberAtIndex:(unsigned)index;
- (NSRange)rangeValue;
+ (NSString *)stringWithRange:(NSRange)range;
@end

#endif
