#ifndef _Order_h_
#define _Order_h_

/* Order.h created by benhur on 20-mar-2001 */

#include <AppKit/AppKit.h>
#include "../General.bproj/FilteredEnumerator.h"
#include "../General.bproj/Protocols.h"
#include "../General.bproj/PajeFilter.h"
#include "../General.bproj/HierarchyBrowser.h"

@interface Order : PajeFilter
{
    NSMutableDictionary *containers;
    IBOutlet id view;
    IBOutlet NSView *browserBox;
    HierarchyBrowser *hierarchyBrowser;
}

- (id)initWithController:(PajeTraceController *)c;
- (void)dealloc;

//
// Handle interface messages
//
- (void)selectAll:(id)sender;
- (void)unselectAll:(id)sender;

//
// Queries that are filtered
//
- (NSEnumerator *)enumeratorOfContainersTyped:(PajeContainerType *)entityType
                                  inContainer:(PajeContainer *)container;

@end

#endif
