/* StatValue.h created by benhur on Fri 26-Sep-1997 */

#import <AppKit/AppKit.h>

@interface StatValue : NSObject
{
    double value;
    NSColor *color;
    NSString *name;
}

+ (StatValue *)valueWithValue:(double)v color:(NSColor *)c name:(NSString *)s;
- (id)initWithValue:(double)v color:(NSColor *)c name:(NSString *)s;

- (void)setValue:(double)v;
- (void)setColor:(NSColor *)c;
- (void)setName:(NSString *)s;
- (void)addToValue:(double)v;

- (double)value;
- (NSColor *)color;
- (NSString *)name;

- (unsigned int)hash;
- (BOOL)isEqual:(id)anObj;
@end
