#ifndef _TimeFocus_h_
#define _TimeFocus_h_
/* TimeFocus.h created by benhur on 16-apr-2003 */

#include <AppKit/AppKit.h>
#include "PajeFilter.h"

@interface TimeFocus : PajeFilter
{
    NSMutableArray *limits;
    IBOutlet NSBox *box;
    IBOutlet NSButton *focusButton;
    IBOutlet NSButton *unfocusButton;
    IBOutlet NSFormCell *startTimeField;
    IBOutlet NSFormCell *endTimeField;
    IBOutlet NSForm *timeForm;
}

- (id)initWithController:(PajeTraceController *)c;
- (void)dealloc;

//
// Handle interface messages
//
- (void)focus:(id)sender;
- (void)unfocus:(id)sender;

//
// Queries that are filtered
//
- (NSDate *)startTime;
- (NSDate *)endTime;

@end
#endif
